:) paperlesspaper docs
API ReferenceDevicesEventsDeviceid

Get events for a device

Fetch a chronological list of events generated by the specified device.

This includes activate events sent on every device wake-up containing current settings and states, as well as update state events such as:

EventType: state:

  • update_checked_nopicture
  • update_checked_ok
  • download_ok
  • update_ok
  • update_failed

EventType: activate:

  • json
  • AwsTopic

Examples: json: {"file":"1722482048","fw":"b3.0.10","bat":"3749","wake":"BUTTON","wifi":"1, -45","usb":"1","orient":"2","timeout":"300","timeoutPredict":"296","timeoutRecentSetting":300} AwsTopic: $aws/things/epd13-0000000000/activateepaper

The latest update state is also available in the device information payload under the updatePending property.

Middlewares: authMiddleware, validateDevice

GET
/devices/events/{deviceId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

deviceIdstring

Device ObjectId

Query Parameters

DateStart?string
Formatdate-time
DateEnd?string
Formatdate-time
TypeFilter?string

Event type filter. Common values include activate and state; any other string is accepted.

Response Body

application/json

curl -X GET "https://api.paperlesspaper.de/v1/devices/events/682fd0d7d4a6325d9d45b86f"
[
  {
    "id": "evt_01HX0000000000000000000000",
    "deviceId": "682fd0d7d4a6325d9d45b86f",
    "type": "state",
    "payload": {
      "battery": 87,
      "online": true
    },
    "timestamp": "2026-05-21T10:15:00.000Z"
  }
]